from axelrod.action import Action
from axelrod.player import Player
IllIIIII, IllIlllIlIlI = Action.C, Action.D
class llIlllIlIlIIllIIIllI(Player):
    lIIlIlllI = "strategy"
    IIIlIlIIIllIlIIlII = {
        "memory_depth": 1,
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IIlIllIlIIll(lIlIllll, IlllIIIII: Player) -> Action:
        if not lIlIllll.history:
            return lIlIllll._random.random_choice()
        return IlllIIIII.history[-1].flip()